package com.qianhe.zqcz.xmgl.service;

import com.qianhe.zqcz.xmgl.domain.ZqczXmgl;
import com.qianhe.zqcz.xmgl.domain.ZqczXmglQuery;
import com.qianhe.zqcz.xmgl.domain.ZqczXmglVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

public interface ZqczXmglService {
    /**
     * 条件查询
     */
    List<ZqczXmglVo> list(ZqczXmglQuery zqczXmglQuery);

    /**
     * 查询详情
     */
    ZqczXmglVo info(Long xmid);

    /**
     * 新增
     */
    int add(ZqczXmgl zqczXmgl, String username);

    /**
     * 修改
     */
    int edit(ZqczXmgl zqczXmgl, String username);

    /**
     * 删除
     */
    int delete(Long[] ids);

    /**
     * 导入
     */
    int importExcel(MultipartFile file);

    /**
     * 逻辑删除
     */
    int logicDelete(Long[] ids);
}
